1. Fiat Account Management
v2.0 (Sandbox)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Idempotent Requests
    • Webhook
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Account Management
        • Get Fiat Account Capabilities
          GET
        • Create Fiat Account Request
          POST
        • Submit Additional Information for Fiat Account Request
          POST
        • Get Fiat Account Application Status
          GET
        • Fiat Account Request Status Webhook
        • Add Bank Account
          POST
        • Get Bank Accounts
          GET
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Fiat Account Management

Get Fiat Account Application Status

GET
/v2.0/crm/fiatAccount/appStatus
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction

Description
To retrieve fiat account application status

Request

Authorization
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v2.0/crm/fiatAccount/appStatus?requestId'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "requestId": "string",
        "participantCode": "string",
        "country": "string",
        "currency": "string",
        "accountDetails": [
            {
                "beneficiaryName": "string",
                "beneficiaryAddress": "string",
                "baNumber": "string",
                "swiftCode": "string",
                "countryCode": "string",
                "bankName": "string",
                "bankAddress": "string",
                "intermediarySwiftCode": "string",
                "intermediaryCountryCode": "string",
                "intermediaryBankName": "string",
                "intermediaryBankAddress": "string",
                "currency": "string",
                "paymentReference": "string",
                "accountId": "string"
            }
        ],
        "status": 1,
        "statusInfo": "string",
        "missingFields": [
            "string"
        ],
        "tncToBeAccepted": [
            "string"
        ],
        "createdAt": 0,
        "updatedAt": 0
    }
}
Modified at 2026-03-27 02:58:14
Previous
Submit Additional Information for Fiat Account Request
Next
Fiat Account Request Status Webhook
Built with